pcl::keypoints::brisk::Layer Class Reference

A layer in the BRISK detector pyramid. More...

`#include <pcl/keypoints/brisk_2d.h>`

## Classes

struct | CommonParams

## Public Member Functions

| Layer (const std::vector< unsigned char > &img, int width, int height, float scale=1.0f, float offset=0.0f)
| Constructor. More...
| Layer (const Layer &layer, int mode)
| Copy constructor for deriving a layer. More...
void | getAgastPoints (uint8_t threshold, std::vector< pcl::PointUV, Eigen::aligned_allocator< pcl::PointUV > > &keypoints)
| AGAST keypoints without non-max suppression. More...
uint8_t | getAgastScore (int x, int y, uint8_t threshold)
| Get the AGAST keypoint score for a given pixel using a threshold. More...
uint8_t | getAgastScore_5_8 (int x, int y, uint8_t threshold)
| Get the AGAST keypoint score for a given pixel using a threshold. More...
uint8_t | getAgastScore (float xf, float yf, uint8_t threshold, float scale=1.0f)
| Get the AGAST keypoint score for a given pixel using a threshold. More...
uint8_t | getValue (const std::vector< unsigned char > &mat, int width, int height, float xf, float yf, float scale)
| Access gray values (smoothed/interpolated) More...
const std::vector< unsigned char > & | getImage () const
| Get the image used. More...
int | getImageWidth () const
| Get the width of the image used. More...
int | getImageHeight () const
| Get the height of the image used. More...
float | getScale () const
| Get the scale used. More...
float | getOffset () const
| Get the offset used. More...
const std::vector< unsigned char > & | getScores () const
| Get the scores obtained. More...

## Detailed Description

A layer in the BRISK detector pyramid.

Definition at line 247 of file brisk_2d.h.

## Constructor & Destructor Documentation

## Layer() [1/2]

pcl::keypoints::brisk::Layer::Layer | ( | const std::vector< unsigned char > & | img,
|  | int | width,
|  | int | height,
|  | float | scale = `1.0f`,
|  | float | offset = `0.0f`
| ) |  |

Constructor.

Parameters

  [in] | img | input image
  [in] | width | image width
  [in] | height | image height
  [in] | scale | scale
  [in] | offset | offset

## Layer() [2/2]

pcl::keypoints::brisk::Layer::Layer | ( | const Layer & | layer,
|  | int | mode
| ) |  |

Copy constructor for deriving a layer.

Parameters

  [in] | layer | layer to derive from
  [in] | mode | deriving mode

## Member Function Documentation

## getAgastPoints()

void pcl::keypoints::brisk::Layer::getAgastPoints | ( | uint8_t | threshold,
|  | std::vector< pcl::PointUV, Eigen::aligned_allocator< pcl::PointUV > > & | keypoints
| ) |  |

AGAST keypoints without non-max suppression.

Parameters

  [in] | threshold | the keypoints threshold
  [out] | keypoints | the AGAST keypoints

## getAgastScore() [1/2]

uint8_t pcl::keypoints::brisk::Layer::getAgastScore | ( | int | x,
|  | int | y,
|  | uint8_t | threshold
| ) |  |

Get the AGAST keypoint score for a given pixel using a threshold.

Parameters

  [in] | x | the U coordinate of the pixel
  [in] | y | the V coordinate of the pixel
  [in] | threshold | the threshold to use for cutting the response

## getAgastScore() [2/2]

uint8_t pcl::keypoints::brisk::Layer::getAgastScore | ( | float | xf,
|  | float | yf,
|  | uint8_t | threshold,
|  | float | scale = `1.0f`
| ) |  |

Get the AGAST keypoint score for a given pixel using a threshold.

Parameters

  [in] | xf | the X coordinate of the pixel
  [in] | yf | the Y coordinate of the pixel
  [in] | threshold | the threshold to use for cutting the response
  [in] | scale | the scale

## getAgastScore_5_8()

uint8_t pcl::keypoints::brisk::Layer::getAgastScore_5_8 | ( | int | x,
|  | int | y,
|  | uint8_t | threshold
| ) |  |

Get the AGAST keypoint score for a given pixel using a threshold.

Parameters

  [in] | x | the U coordinate of the pixel
  [in] | y | the V coordinate of the pixel
  [in] | threshold | the threshold to use for cutting the response

## getImage()

const std::vector<unsigned char>& pcl::keypoints::brisk::Layer::getImage | ( |  | ) | const

inline

Get the image used.

Definition at line 319 of file brisk_2d.h.

## getImageHeight()

int pcl::keypoints::brisk::Layer::getImageHeight | ( |  | ) | const

inline

Get the height of the image used.

Definition at line 333 of file brisk_2d.h.

## getImageWidth()

int pcl::keypoints::brisk::Layer::getImageWidth | ( |  | ) | const

inline

Get the width of the image used.

Definition at line 326 of file brisk_2d.h.

## getOffset()

float pcl::keypoints::brisk::Layer::getOffset | ( |  | ) | const

inline

Get the offset used.

Definition at line 347 of file brisk_2d.h.

## getScale()

float pcl::keypoints::brisk::Layer::getScale | ( |  | ) | const

inline

Get the scale used.

Definition at line 340 of file brisk_2d.h.

## getScores()

const std::vector<unsigned char>& pcl::keypoints::brisk::Layer::getScores | ( |  | ) | const

inline

Get the scores obtained.

Definition at line 354 of file brisk_2d.h.

## getValue()

uint8_t pcl::keypoints::brisk::Layer::getValue | ( | const std::vector< unsigned char > & | mat,
|  | int | width,
|  | int | height,
|  | float | xf,
|  | float | yf,
|  | float | scale
| ) |  |

Access gray values (smoothed/interpolated)

Parameters

  [in] | mat | the image
  [in] | width | the image width
  [in] | height | the image height
  [in] | xf | the x coordinate
  [in] | yf | the y coordinate
  [in] | scale | the scale

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/keypoints/include/pcl/keypoints/brisk_2d.h